Create a commit
POST /v1/sandbox/{sandboxID}/git/commit
POST
/v1/sandbox/{sandboxID}/git/commit
Commit staged changes with a message.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” sandboxID
required
string
Unique sandbox identifier.
Request Body required
Section titled “Request Body required ”object
path
required
Path to the git repository.
string
message
required
Commit message.
string
author
Author name for the commit.
string
email
Author email for the commit.
string
allow_empty
Allow creating an empty commit.
boolean
Responses
Section titled “ Responses ”Commit created.
object
sha
required
SHA of the created commit.
string
result
required
object
output
required
Command output text.
string
exit_code
required
Exit code of the git command.
integer format: int32
Bad request – validation error.
object
message
required
Summary message, e.g. “Invalid request”.
string
errors
required
Array<object>
object
field
required
JSON field name that failed validation (e.g. “path”, “command”).
string
error
required
Human-readable description of the validation failure.
string
Unauthorized – invalid or missing API key.
object
message
required
Human-readable error message.
string